%define upstream_name    TAP-Harness-JUnit
%define upstream_version 0.36

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Generate JUnit compatible output from TAP
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/TAP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(TAP::Harness)
BuildRequires: perl(TAP::Parser)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More)
BuildRequires: perl(XML::Simple)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
The only difference between this module and _TAP::Harness_ is that this
adds optional 'xmlfile' argument, that causes the output to be formatted
into XML in format similar to one that is produced by JUnit testing
framework.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc META.yml README ChangeLog
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Tue Jan 03 2012 guillomovitch <guillomovitch> 0.360.0-1.mga2
+ Revision: 190000
- imported package perl-TAP-Harness-JUnit


* Tue Jan 03 2012 cpan2dist 0.36-1mga
- initial mageia release, generated with cpan2dist
